TKN-HUB-INSTALL-TASK(1)

NAME

tkn-hub-install-task - Install Task from a catalog by its name and version

SYNOPSIS

tkn hub install task

DESCRIPTION

Install Task from a catalog by its name and version

OPTIONS

-h, --help[=false]
    help for task

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'HUB_API_SERVER'.

-c, --context=""
    Name of the kubeconfig context to use (default: kubectl config current-context)

--from="tekton"
    Name of Catalog to which resource belongs.

-k, --kubeconfig=""
    Kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    Namespace to use (default: from $KUBECONFIG)

--version=""
    Version of Resource

EXAMPLE

Install a Task of name 'foo':

    tkn hub install task foo

or

Install a Task of name 'foo' of version '0.3' from Catalog 'Tekton':

    tkn hub install task foo --version 0.3 --from tekton

SEE ALSO

tkn-hub-install(1)